%define majver %(echo %version | cut -d. -f1-2)
Name:          xfwm4
Version:       4.18.0
Release:       1mamba
Summary:       Next generation window manager for Xfce
Group:         Graphical Desktop/Applications/Other
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.xfce.org/
Source:        http://archive.xfce.org/src/xfce/xfwm4/%{majver}/xfwm4-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libepoxy-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libwnck-devel
BuildRequires: libxfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfconf-devel
BuildRequires: libxpresent-devel
## AUTOBUILDREQ-END
BuildRequires: libxfcegui4-devel >= 4.4.0
Requires:      libxfcegui4 >= 4.4.0

%description
xfwm4 is a window manager compatable with GNOME, GNOME2, KDE2, KDE3 and Xfce.

%debug_package

%prep
%setup -q

%build
%configure --enable-compositor
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/xfwm4
%{_bindir}/xfwm4-settings
%{_bindir}/xfwm4-tweaks-settings
%{_bindir}/xfwm4-workspace-settings
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/xfce-*.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/locale
%{_datadir}/xfwm4
%{_datadir}/themes
#%{_docdir}/xfwm4
%doc AUTHORS COPYING

%changelog
* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 4.18.0-1mamba
- automatic version update by autodist

* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 4.17.1-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 4.16.1-1mamba
- automatic version update by autodist

* Sun Nov 01 2020 Automatic Build System <autodist@mambasoft.it> 4.14.6-1mamba
- automatic version update by autodist

* Sun Aug 09 2020 Automatic Build System <autodist@mambasoft.it> 4.14.5-1mamba
- automatic version update by autodist

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 4.14.4-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Sat May 16 2015 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Mon Mar 23 2015 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Fri Mar 13 2015 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- update to 4.10.1

* Sat Oct 20 2012 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- update to 4.10.0

* Mon Feb 21 2011 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- update to 4.8.0

* Tue Jun 01 2010 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic update to 4.6.2 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-2mamba
- automatic rebuild by autodist

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic update to 4.6.1 by autodist

* Sat Mar 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Sat Apr 14 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.1-1mamba
- update to 4.4.0

* Thu Mar 22 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.0-1qilnx
- update to 4.4.0

* Mon Sep 25 2006 Tiziano Pratellesi <info@mycare.it> 4.4.0-2qilnx
- update spec file

* Mon Sep 25 2006 Tiziano Pratellesi <info@mycare.it> 4.4.0-1qilnx
- update to 4.3.99.1

* Thu Sep 21 2006 Tiziano Pratellesi <info@mycare.it> 4.3.90.2-1qilnx
- update to 4.3.90.2

* Tue Sep 19 2006 Tiziano Pratellesi <info@mycare.it> 4.2.3.2-1qilnx
- package created by autospec
